grub-install --target=x86_64-efi --efi-directory=/boot/efi --boot-directory=/boot/efi --bootloader-id=grub
grub-mkconfig -o /boot/efi/grub/grub.cfg

efibootmgr --create --disk /dev/sda --part 5 --loader /EFI/grub_uefi/grubx64.efi --label "Debian" --verbose

# Some UEFI firmware requires that the bootable .efi stub have a specific name and be placed in a specific location: esp/EFI/boot/bootx64.efi (where esp is the UEFI partition mountpoint). Failure to do so in such instances will result in an unbootable installation. Fortunately, this will not cause any problems with other firmware that does not require this.
# mkdir /boot/efi/EFI/boot
# cp /boot/efi/EFI/grub/grubx64.efi /boot/efi/EFI/boot/bootx64.efi
